<template>
  <div class="PageLayoutTwoColumn">
    <div
      v-if="isSlotFilled('header')"
      class="PageLayout-header"
    >
      <slot name="header" />
    </div>

    <div class="PageLayoutTwoColumn-contentPrimary">
      <slot name="content-primary" />
    </div>

    <div class="PageLayoutTwoColumn-contentSecondary">
      <slot name="content-secondary" />
    </div>
  </div>
</template>

<script>
export default {
  name: 'PageLayoutTwoColumn',

  methods: {
    isSlotFilled (slotName) {
      return this.$slots[ slotName ] !== undefined
    }
  }
}
</script>

<style scoped>
.PageLayoutTwoColumn {
  display: grid;
  grid-template-columns: 100%;
  grid-template-rows: auto;
  grid-gap: 50px;
}

@media (min-width: 769px) {
  .PageLayoutTwoColumn {
    grid-template-columns: 4fr 1fr;
  }

  .PageLayout-header {
    grid-column-start: 1;
    grid-column-end: 3;
  }
}
</style>
